Subject: RE: Corrected patch to cygwin.dll + ncurses for termcaps
From: [email-masked] ("Bruce D. McLeod")

31 Mar 1997 08:45:29 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: Sergey Okhapkin <[email-masked]>
Original-Cc: cygnus <[email-masked]>
Original-Sender: [email-masked]

At 02:41 PM 3/29/97 +0300, Sergey Okhapkin wrote:
>Bruce D. McLeod wrote:
>> I compiled and installed cygwin.dll and ncurses with this patch,
>> but I get: Error opening terminal: w32ansi
>> when I run any of the test programs.  It accepts a TERM of ansi,
>> but the screen output is wrong.  Is w32ansi correct, and if so,
>> why might I be getting this error?  Thanks.
>
>Did you reinstall terminfo database after applying this patch? This works
nice for me.

I had alot of terminfo problems.  I was getting "use resolution failed on"
errors for many terminal types.  I know nothing about terminfo, but it
looks like the cross-referencing of the 'use' inclusions is failing.
I think it has something do to with the immedhook stuff in tic.c, but I
didn't get far on that investigation.
   Feeling desparate, I commented out the nc_resolve_uses call in tic.c.
It would then successfully generate the w32asci file in terminfo/W, but
I would get the "Error opening terminal" error.  Stepping through, the
code thinks that file is corrupt.  I hacked around with the terminfo.src
file and found that if I took out the "kdch1=\E[3~" clause, the file was
accepted, but then my screen output is bogus.  The test program worm just
screens by continually.
   Any ideas?  I suspect the "use resolution" error is the root of the
problem.

Bruce

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".